summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2020-12-29 14:37:48 +0100
committerDavid Seifert <soap@gentoo.org>2020-12-29 14:37:48 +0100
commit1af99288044f0d9e79befb4f5e6d1bde0db7df61 (patch)
treeb113ac391116ab0bde8a3b7bbb35e0bb6f719eb8
parentdev-util/lttng-ust: cleanup old versions (diff)
downloadgentoo-1af99288044f0d9e79befb4f5e6d1bde0db7df61.tar.gz
gentoo-1af99288044f0d9e79befb4f5e6d1bde0db7df61.tar.bz2
gentoo-1af99288044f0d9e79befb4f5e6d1bde0db7df61.zip
dev-util/lttng-tools: bump to 2.12.0
Closes: https://bugs.gentoo.org/706864 Package-Manager: Portage-3.0.9, Repoman-3.0.1 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
-rw-r--r--dev-util/lttng-tools/Manifest1
-rw-r--r--dev-util/lttng-tools/lttng-tools-2.12.0.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-util/lttng-tools/Manifest b/dev-util/lttng-tools/Manifest
index 7e230f46309..22cd0b9a9ff 100644
--- a/dev-util/lttng-tools/Manifest
+++ b/dev-util/lttng-tools/Manifest
@@ -1,3 +1,4 @@
DIST lttng-tools-2.10.9.tar.bz2 1254174 BLAKE2B 1666aab83bbdeb48a0c5764b359760346cfd9b55ee1677eac87a5d16f00c6c9e0f0952bf84486e0cbf9052ac1b485b276e230b36097b5366040db4e3112a3086 SHA512 2e390eb53bfbc874afd1c0c8273f9546fbe08da79fd2c9430eee8e348c05afba34bb6fe365165bf7468b284f7d88dcc16c37803d807109042c51cac1d8c2df1a
DIST lttng-tools-2.11.0.tar.bz2 1479411 BLAKE2B 5abe2613c8a35b18587c75d75be8af85a37b52daa9ff36bf0126385e5f736f7084cac7815e858e48c26c1e3fe4bc9b00b8ebaf0ce339689bd9a0e177a518d51e SHA512 2b183296201cc62faa1f5afef3fdb67f089996479987d9e6e52e6286301f57a1015f017cc8b743496c30500579fcabde2945db3b7879ae5bd0a6723cfbdf99fb
+DIST lttng-tools-2.12.0.tar.bz2 1544515 BLAKE2B 642047348ef7bfe72c5ec718b4029c628fe2e23fd0a82517a8d5bb15a8cc3b84965d21b2f528a20530fb6ca8213e320d0dd6f36de09b34a53863c46ee272a470 SHA512 87613de34141c75b7ff0eb7b4292d26eea5381a7f298130cf5e802255aa7b0e55f43268dffed71b51d1e5dcd96b92cd517e13557fe64ee121bf1b419b2935a24
DIST lttng-tools-2.7.1.tar.bz2 984351 BLAKE2B 51d61857c56c3bffcaec80d8b57c18c96c3125d56f7feaa70e3ad44d108987a663734c17cf2553b1979061ae400c1e5bd0a30de4bf3bf5af28846403a3e055c1 SHA512 b0cafa5b74182a077232dbe2b73ed4e2267a921a62163367f0e7e14463e176d4538fc6ec27b8737f55fc417734677e5d22efc65685f885fa5f892f7900ee0e2d
diff --git a/dev-util/lttng-tools/lttng-tools-2.12.0.ebuild b/dev-util/lttng-tools/lttng-tools-2.12.0.ebuild
new file mode 100644
index 00000000000..be88227c25a
--- /dev/null
+++ b/dev-util/lttng-tools/lttng-tools-2.12.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info
+
+MY_P="${P/_rc/-rc}"
+MY_SLOT="$(ver_cut 1-2)"
+
+DESCRIPTION="Linux Trace Toolkit - next generation"
+HOMEPAGE="https://lttng.org"
+SRC_URI="https://lttng.org/files/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0/${MY_SLOT}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ust"
+
+DEPEND="dev-libs/userspace-rcu:=
+ dev-libs/popt
+ dev-libs/libxml2
+ ust? ( >=dev-util/lttng-ust-2.12.0:= )
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+ econf $(usex ust "" --without-lttng-ust) --disable-static
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete || die
+}